# QVM: Quaternions, Vectors, Matrices

### operator*(scalar,vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_scalar<A>::value && is_vec<B>::value
            template <class A>
            typename deduce_vec<B>::type
            operator*( A a, B const & b );
        }
    }

#### Returns:

A vector that is the result of multiplying the scalar a by the vector b.

See also: boost/qvm/vec_operations.hpp